#include <ESP8266WiFi.h>
#include "DHTesp.h"
#include <Wire.h>
#include "SSD1306Wire.h"

const char* ssid     = "TP-LINK_95DDEC";
const char* password = "password";
const char* host     = "192.168.178.55";

SSD1306Wire display(0x3c,0,2);   
DHTesp dht;

void setup() {
  dht.setup(3, DHTesp::DHT22);
  display.init();
  display.setContrast(255);
  display.flipScreenVertically();
  display.setLogBuffer(5,30);
  WiFi.begin(ssid,password);
  display.clear();
  display.println("Connessione al wifi");
  display.drawLogBuffer(0, 0);
  display.display();
  while (WiFi.status()!=WL_CONNECTED) {
    display.clear();
    display.print(".");
    display.drawLogBuffer(0,0);
    display.display();
    delay(500);
  }
  display.clear();
  display.println();
  display.println("Wifi connesso!");
  display.print("IP ");
  display.println(WiFi.localIP());
  display.drawLogBuffer(0,0);
  display.display();
}

void loop() {
  delay(5000);
  float humidity = dht.getHumidity();
  float temperature = dht.getTemperature();
  display.print("dht ");
  display.print(dht.getStatusString());
  display.print("  ");
  display.print(humidity,1);
  display.print("%  ");
  display.print(temperature,1);
  display.println("C");
  display.clear();
  display.drawLogBuffer(0,0);
  display.display();
  WiFiClient client;
  const int httpPort=80;
  if (!client.connect(host,httpPort)) {
    return;
  }
  String url="/esp8266/?temp=";
  url+=String(temperature);
  url+="&um=";
  url+=String(humidity);
  url+="\r\n";
  client.print(String("GET ")+url+" HTTP/1.1\r\n"+
               "Host: "+host+"\r\n"+
               "Connection: close\r\n\r\n");
  delay(500);
  while (client.available()) {
    char ch = static_cast<char>(client.read());
    display.print(ch);
  }
  display.clear();
  display.drawLogBuffer(0,0);
  display.display();
  client.stop();
}
